package com.ym.mec.biz.dal.wrapper;

import com.ym.mec.biz.dal.entity.ImGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

public class ImGroupWrapper {

    @Data
    public static class ImQuery {

        @ApiModelProperty("群名称/用户名")
        private String keyword;

        @ApiModelProperty("群类型  ")
        private ImGroup.GroupTypeEnum groupType;

        @ApiModelProperty("乐团ID")
        private String musicGroupId;

        @ApiModelProperty("角色 ")
        private String roleType;

        @ApiModelProperty("当前用户ID")
        private Integer userId;

        @ApiModelProperty("用户状态 false ：查询未锁定")
        private Boolean lockFlag;

        private List<Integer> userIds;
    }


}
